Flux.1 Dev
Approved Data Classifications
Description
Flux.1 Dev is Black Forest Labs' open-weight image generation model for non-commercial use. It was released on August 1, 2024 and is distilled from Flux.1 Pro.
Capabilities
| Model | Release Date | Input | Output | Context Length | Cost (per image) |
|---|---|---|---|---|---|
| flux.1-dev | Aug 1 2024 | Text | Image | n/a | $0.0125/image |
info
- estimated image size is
1024x1024 - All prices listed are based on 1 image
Availability
Cloud Provider
Usage
- curl
- python
- javascript
curl -X POST https://api.ai.it.ufl.edu/v1/images/generations \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API_TOKEN>" \
-d '{
"model": "flux.1-dev",
"prompt": "An Alligator walking around the University of Florida saying hi to students.",
"n": 1,
"size": "1024x1024",
"quality": "standard",
"response_format": "b64_json"
}'
from openai import OpenAI
client = OpenAI(
api_key="your_api_key",
base_url="https://api.ai.it.ufl.edu/v1"
)
response = client.images.generate(
model="flux.1-dev",
prompt="An Alligator walking around the University of Florida saying hi to students.",
size="1024x1024",
quality="standard",
n=1,
response_format="url"
)
image_url = response.data[0].url
import OpenAI from 'openai';
const openai = new OpenAI({
apiKey: 'your_api_key',
baseURL: 'https://api.ai.it.ufl.edu/v1'
});
const completion = await openai.images.generate({
model: "flux.1-dev",
prompt: "An Alligator walking around the University of Florida saying hi to students.",
n: 1,
size: "1024x1024",
quality: "standard",
response_format: "url",
});
image_url = response.data[0].url;
References
- Black Forest Labs
https://bfl.ai/- LLM Stats
https://llm-stats.com- Artificial Analysis
https://artificialanalysis.ai- Huggingface
https://huggingface.co/